## mysql-cluster-community 8.0.24

=== debian/changelog ===
mysql-cluster-community (8.0.24-1debian9) stretch; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-24.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 26 Mar 2021 04:58:01 +0000

=== debian/rules ===
#!/usr/bin/make -f

# Copyright (c) 2015, 2021, Oracle and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0,
# as published by the Free Software Foundation.
#
# This program is also distributed with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation.  The authors of MySQL hereby grant you an additional
# permission to link the program and your derivative works with the
# separately licensed software that they have included with MySQL.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA

%:
	dh $@

export DH_VERBOSE=1
export CFLAGS=
export CXXFLAGS=

ifeq (,$(MYSQL_BUILD_MAKE_JFLAG))
	JOBS=-j8
else
	JOBS=$(MYSQL_BUILD_MAKE_JFLAG)
endif


override_dh_auto_configure:
	@echo "RULES.$@"

	
	mkdir debug && cd debug && \
	cmake .. \
      -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Debug \
		-DINSTALL_DOCDIR=share/mysql/docs \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_INNODB_MEMCACHED=1 \
		-DWITH_MECAB=system \
		-DWITH_NUMA=ON \
		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
		-DINSTALL_LAYOUT=DEB \
-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2571672-1616734611.89/master-export-399459 \
		-DREPRODUCIBLE_BUILD=OFF \
		-DDEB_PRODUCT=cluster-community \
		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0


	mkdir release && cd release && \
	cmake .. \
      -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
		-DBUILD_CONFIG=mysql_release \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DSYSCONFDIR=/etc/mysql \
		-DMYSQL_UNIX_ADDR=/var/run/mysqld/mysqld.sock \
		-DWITH_INNODB_MEMCACHED=1 \
		-DWITH_MECAB=system \
		-DWITH_NUMA=ON \
		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
		-DINSTALL_LAYOUT=DEB \
-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2571672-1616734611.89/master-export-399459 \
		-DREPRODUCIBLE_BUILD=OFF \
		-DDEB_PRODUCT=cluster-community \
		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0

	touch $@

override_dh_auto_build:
	@echo "RULES.$@"
	
	cd debug && \
	$(MAKE) $(JOBS) VERBOSE=1

	cd release && \
	$(MAKE) $(JOBS) VERBOSE=1
	touch $@

override_dh_auto_test:
	@echo "RULES.$@"
	export CTEST_OUTPUT_ON_FAILURE=1
	cd release && \
	make test || true
	touch $@



	dh_strip -pmysql-cluster-community-data-node --dbg-package=mysql-cluster-community-data-node-dbgsym
	dh_strip -pmysql-cluster-community-management-server --dbg-package=mysql-cluster-community-management-server-dbgsym
	dh_strip -pmysql-cluster-community-nodejs --dbg-package=mysql-cluster-community-nodejs-dbgsym
	dh_strip -pndbclient --dbg-package=ndbclient-dbgsym


override_dh_auto_install:

	@echo "RULES.$@"
	# complete install first
	cd release && \
	$(MAKE) install DESTDIR=../debian/tmp
	
	# The ini file isn't built for debug, so copy over from the standard build
	install -g root -o root -m 0755 debian/tmp/usr/lib/mysql/plugin/daemon_example.ini debian/tmp/usr/lib/mysql/plugin/debug

	# Add helper functions for maintainer scripts
	install -m 0644 debian/extra/mysql-helpers debian/tmp/usr/share/mysql-8.0/
	# add apparmor profile
	
	
	# add systemd scripts
	install -m 0755 debian/extra/mysql-systemd-start debian/tmp/usr/share/mysql-8.0/
	
	touch $@

override_dh_installinit:
	@echo "RULES.$@"
	
	
	dh_systemd_enable --name=mysql
	dh_installinit --name=mysql -- defaults 19 21
	dh_installinit --name=mysql@ -- disable
	
	dh_systemd_start --restart-after-upgrade
	touch $@

override_dh_install:
	dh_install --fail-missing \
		-Xusr/bin/i_mysql_client_test \
		-Xmysql.server \
		-Xmysql.info \
		-XChangeLog \
		-Xusr/share/man/man1/mysqlman.1

# Since this dynamic library is included in both server and router, stripping
# it leads to file conflict errors when trying to install dbgsym-deb packages
# for both.
override_dh_strip:
	dh_strip -Xlibprotobuf-lite

## mysql-cluster-community 8.0.25

=== debian/changelog ===
mysql-cluster-community (8.0.25-1debian9) stretch; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-25.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 23 Apr 2021 22:52:41 +0000

=== debian/rules ===
--- 
+++ 
@@ -56,7 +56,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2571672-1616734611.89/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
@@ -76,7 +76,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2571672-1616734611.89/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0

## mysql-cluster-community 8.0.26

=== debian/changelog ===
mysql-cluster-community (8.0.26-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-26.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Thu, 01 Jul 2021 14:44:42 +0000

=== debian/rules ===
--- 
+++ 
@@ -26,8 +26,6 @@
 	dh $@
 
 export DH_VERBOSE=1
-export CFLAGS=
-export CXXFLAGS=
 
 ifeq (,$(MYSQL_BUILD_MAKE_JFLAG))
 	JOBS=-j8
@@ -56,8 +54,9 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
 		-DREPRODUCIBLE_BUILD=OFF \
+		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
 
@@ -76,8 +75,9 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-2918142-1619218289.31/master-export-399459 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
 		-DREPRODUCIBLE_BUILD=OFF \
+		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
 		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0

## mysql-cluster-community 8.0.27

=== debian/changelog ===
mysql-cluster-community (8.0.27-1debian11) bullseye; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-27.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Wed, 29 Sep 2021 05:14:46 +0000

=== debian/control ===
Source: mysql-cluster-community
Maintainer: MySQL Release Engineering <mysql-build@oss.oracle.com>
Section: database
Priority: optional
Standards-Version: 3.9.8
Homepage: http://www.mysql.com/
Build-Depends: debhelper (>= 9.0.0),
 libaio-dev[linux-any],
 libncurses5-dev (>= 5.0-6),
 libjson-perl, libldap2-dev,
 libsasl2-dev,
 perl,
 zlib1g-dev (>= 1:1.1.3-5),
 po-debconf,
 psmisc,
 bison,
 lsb-release,
 cmake,
 fakeroot,
 libnuma-dev,
 libmecab-dev,
   ,libssl-dev


Package: mysql-server
Architecture: any
Depends: mysql-cluster-community-server (= ${binary:Version}), ${misc:Depends}
Description: MySQL Server meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql server
 package available in the repository.

Package: mysql-cluster-community-server
Architecture: any
Pre-depends: debconf (>= 0.2.17), adduser
Depends: mysql-common (>= ${binary:Version}),
 mysql-client (= ${binary:Version}),
 mysql-cluster-community-server-core (= ${binary:Version}),
 perl,
 psmisc,
 ${shlibs:Depends}, ${misc:Depends}
Breaks: mysql-common (<< 5.7.14), mysql-cluster-community-client (<< 5.7)
Conflicts: mysql,
 mysql-server-5.0, mysql-server-core-5.0,
 mysql-server-5.1, mysql-server-core-5.1,
 mysql-server-5.5, mysql-server-core-5.5,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-cluster-commercial-server,
 mysql-community-server, mysql-commercial-server,
 mariadb-server-5.5, mariadb-server-core-5.5,
 mariadb-server-10.0, mariadb-server-core-10.0,
 mariadb-server-10.1, mariadb-server-core-10.1,
 mariadb-server-10.2, mariadb-server-core-10.2,
 mysql-client-5.0, mysql-client-core-5.0,
 mysql-client-5.1, mysql-client-core-5.1,
 mysql-client-5.5, mysql-client-core-5.5,
 mysql-client-5.6, mysql-client-core-5.6,
 mysql-client-5.7, mysql-client-core-5.7,
 mariadb-client-5.5, mariadb-client-core-5.5,
 mariadb-client-10.0, mariadb-client-core-10.0,
 mariadb-client-10.1, mariadb-client-core-10.1,
 mariadb-client-10.2, mariadb-client-core-10.2
Replaces: mysql,
 mysql-server-5.0, mysql-server-core-5.0,
 mysql-server-5.1, mysql-server-core-5.1,
 mysql-server-5.5, mysql-server-core-5.5,
 mysql-server-5.6, mysql-server-core-5.6,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-cluster-community-client (<< 5.7),
 mysql-cluster-commercial-server,
 mysql-community-server, mysql-commercial-server,
 mysql-common (<< 5.7.14)
Provides: virtual-mysql-server
Description: MySQL Server
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package includes the MySQL server binary as well as related
 utilities to run and administer a MySQL server.

Package: mysql-cluster-community-server-core
Architecture: any
Recommends: mecab-ipadic-utf8
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: mysql-cluster-community-server (<< 8.0.1),
 mysql-cluster-commercial-server (<< 8.0.1),
Conflicts: mysql,
 mysql-server-core-5.7,
 mysql-server-core-8.0,
 mysql-cluster-commercial-server-core,
 mariadb-server-core-10.1,
 mariadb-server-core-10.2,
 mariadb-server-core-10.3
Replaces: mysql-cluster-community-server (<< 8.0.1),
 mysql-cluster-commercial-server (<< 8.0.1),
 mysql-cluster-commercial-server-core,
 mysql-server-core-5.7,
 mysql-server-core-8.0
Provides: virtual-mysql-server-core
Description: MySQL Server Core Binaires
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package includes the core MySQL server binaries, but no
 configuration or service scripts.

Package: mysql-client
Architecture: any
Depends: mysql-cluster-community-client (= ${binary:Version}), ${misc:Depends}
Description: MySQL Client meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This is a meta package that depends on the latest mysql client
 package available in the repository.

Package: mysql-cluster-community-client
Architecture: any
Depends: mysql-common (>= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends},
 mysql-cluster-community-client-core (= ${binary:Version}),
Breaks: mysql-common (<< 8.0.1),
 libmysqlclient-dev (<< 5.7.14),
Conflicts: mysql,
 mysql-client-5.7, mysql-client-core-5.7,
 mysql-client-8.0, mysql-client-core-8.0,
 mysql-cluster-commercial-client,
 mysql-community-client, mysql-commercial-client,
 mariadb-client-10.1, mariadb-client-core-10.1,
 mariadb-client-10.2, mariadb-client-core-10.2,
 mariadb-client-10.3, mariadb-client-core-10.3,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-server-8.0, mysql-server-core-8.0,
 mariadb-server-10.1, mariadb-server-core-10.1,
 mariadb-server-10.2, mariadb-server-core-10.2,
 mariadb-server-10.3, mariadb-server-core-10.3,
Replaces: mysql,
 mysql-client-5.7, mysql-client-core-5.7,
 mysql-client-8.0, mysql-client-core-8.0,
 mysql-cluster-commercial-client,
 mysql-community-client, mysql-commercial-client,
 mysql-common (<< 8.0.1),
 libmysqlclient-dev (<< 5.7.14)
Provides: virtual-mysql-client,
Description: MySQL Client
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the standard MySQL clients and
 administration tools.

Package: mysql-cluster-community-client-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: mysql-cluster-community-client-core (<< 8.0.22),
 mysql-cluster-commercial-client-core (<< 8.0.22),
 mysql-cluster-community-server (<< 8.0.21),
 mysql-cluster-community-server-core (<< 8.0.21),
 mysql-cluster-commercial-server (<< 8.0.21),
 mysql-cluster-commercial-server-core (<< 8.0.21),
Replaces: mysql-cluster-community-client-core (<< 8.0.22),
 mysql-cluster-commercial-client-core (<< 8.0.22),
 mysql-cluster-community-server (<< 8.0.21),
 mysql-cluster-community-server-core (<< 8.0.21),
 mysql-cluster-commercial-server (<< 8.0.21),
 mysql-cluster-commercial-server-core (<< 8.0.21),
Conflicts: mysql-cluster-commercial-client-plugins
Description: MySQL Client plugin
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
  is intended for mission-critical, heavy-load production systems as well
  as for embedding into mass-deployed software. MySQL is a trademark of
  Oracle. This package contains files used by both the client library and
  client package.


Package: mysql-cluster-community-client-core
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 mysql-cluster-community-client-plugins (= ${binary:Version}),
Breaks: libmysqlclient-dev (<< 5.7.14),
 mysql-cluster-community-client (<< 8.0.1),
 mysql-cluster-commercial-client (<< 8.0.1),
 mysql-cluster-community-server-core (<< 8.0.21),
 mysql-cluster-commercial-server-core (<< 8.0.21),
Conflicts: mysql,
 mysql-client-core-5.7,
 mysql-client-core-8.0,
 mysql-cluster-commercial-client-core,
 mariadb-client-core-10.1,
 mariadb-client-core-10.2,
 mariadb-client-core-10.3
Replaces: mysql,
 mysql-client-core-5.7,
 mysql-client-core-8.0,
 mysql-cluster-commercial-client,
 mysql-common (<< 5.7.17),
 mysql-cluster-community-client (<< 8.0.1),
 mysql-cluster-commercial-client (<< 8.0.1),
 mysql-cluster-commercial-client-core,
 libmysqlclient-dev (<< 5.7.14),
 mysql-cluster-community-server-core (<< 8.0.21),
 mysql-cluster-commercial-server-core (<< 8.0.21),
Provides: virtual-mysql-client-core
Description: MySQL Client Core Binaries
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the MySQL client binaries.


Package: libmysqlclient21
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Depends: mysql-common (>= ${binary:Version}),
 mysql-cluster-community-client-plugins (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Description: MySQL shared client libraries
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the shared libraries for MySQL client
 applications.

Package: mysql-common
Architecture: any
Pre-depends: debconf (>= 0.2.17), ${misc:Pre-Depends}
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-client-5.7, mysql-client-core-5.7,
 mysql-server-8.0, mysql-server-core-8.0,
 mysql-client-8.0, mysql-client-core-8.0,
 mariadb-server-5.5, percona-xtradb-cluster-common-5.5,
 mysql-common (<< 5.7.14)
Replaces: mysql, libmysqlclient-dev,
 mysql-server-5.7, mysql-server-core-5.7,
 mysql-server-8.0, mysql-server-core-8.0,
 mariadb-server-5.5, percona-xtradb-cluster-common-5.5,
 mysql-common (<< 5.7.14)
Provides: mysql-common
Description: Common files shared between packages
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains common files needed by MySQL client
 library and MySQL database server.

Package: libmysqlclient-dev
Architecture: any
Section: libdevel
Depends: libmysqlclient21 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Breaks: libmysqld-dev
Replaces: mysql-client-5.6, mysql-client-core-5.6,
 mysql-client-5.7, mysql-client-core-5.7,
 mysql-client-8.0, mysql-client-core-8.0,
 libmysqld-dev
Description: MySQL development headers
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of
 Oracle. This package contains the development header files necessary
 to develop MySQL client applications.

Package: mysql-testsuite
Architecture: any
Depends: mysql-cluster-community-test (= ${binary:Version}), ${misc:Depends}
Description: MySQL Testsuite meta package depending on latest version
 The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
 and robust SQL (Structured Query Language) database server. MySQL Server
 is intended for mission-critical, heavy-load production systems as well
 as for embedding into mass-deployed software. MySQL is a trademark of

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -75,7 +75,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-3697723-1625150583.63/master-export-879281 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \

## mysql-cluster-community 8.0.28

=== debian/changelog ===
mysql-cluster-community (8.0.28-1debian10) buster; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-28.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Fri, 17 Dec 2021 23:01:57 +0000

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -75,7 +75,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-4628562-1632892396.26/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -132,11 +132,9 @@
 	@echo "RULES.$@"
 	
 	
-	dh_systemd_enable --name=mysql
-	dh_installinit --name=mysql -- defaults 19 21
-	dh_installinit --name=mysql@ -- disable
+	dh_installsystemd --name=mysql
+	dh_installsystemd --name=mysql@ --no-enable --no-start
 	
-	dh_systemd_start --restart-after-upgrade
 	touch $@
 
 override_dh_install:
@@ -152,3 +150,7 @@
 # for both.
 override_dh_strip:
 	dh_strip -Xlibprotobuf-lite
+
+# Debug plugins use libprotobuf-lite from the server package.
+override_dh_shlibdeps:
+	dh_shlibdeps -Lmysql-cluster-community-server-core -l/usr/lib/mysql/private

## mysql-cluster-community 8.0.30

=== debian/changelog ===
mysql-cluster-community (8.0.30-1debian11) bullseye; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-30.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Thu, 07 Jul 2022 04:27:14 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-# Copyright (c) 2015, 2021, Oracle and/or its affiliates.
+# Copyright (c) 2015, 2022, Oracle and/or its affiliates.
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License, version 2.0,
@@ -40,7 +40,7 @@
 	
 	mkdir debug && cd debug && \
 	cmake .. \
-      -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
+    -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DCMAKE_BUILD_TYPE=Debug \
@@ -54,16 +54,16 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
-		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
+		-DWITH_NDBCLUSTER=1 -DWITH_NDB=1 -DWITH_MEB=0 -DWITH_ROUTER=0
 
 
 	mkdir release && cd release && \
 	cmake .. \
-      -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
+    -DWITH_BOOST=/usr/global/share -DWITH_UNIT_TESTS=false \
 		-DBUILD_CONFIG=mysql_release \
 		-DCMAKE_INSTALL_PREFIX=/usr \
 		-DINSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
@@ -75,11 +75,11 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-5551373-1639782014.72/master-export-1158556 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
-		-DWITH_NDBCLUSTER=1 -DWITH_MEB=0 -DWITH_ROUTER=0
+		-DWITH_NDBCLUSTER=1 -DWITH_NDB=1 -DWITH_MEB=0 -DWITH_ROUTER=0
 
 	touch $@

## mysql-cluster-community 8.0.32

=== debian/changelog ===
mysql-cluster-community (8.0.32-1debian11) bullseye; urgency=low

  * New Release. For release notes, please refer to
    https://dev.mysql.com/doc/relnotes/mysql/8.0/en/news-8-0-32.html

 -- MySQL Release Engineering <mysql-build@oss.oracle.com>  Sat, 17 Dec 2022 02:00:09 +0000

=== debian/control ===
--- 
+++ 
@@ -14,6 +14,7 @@
  po-debconf,
  psmisc,
  bison,
+ elfutils,
  lsb-release,
  cmake,
  fakeroot,
@@ -89,6 +90,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: mysql-cluster-community-server (<< 8.0.1),
  mysql-cluster-commercial-server (<< 8.0.1),
+ mysql-common (<< 8.0.32)
 Conflicts: mysql,
  mysql-server-core-5.7,
  mysql-server-core-8.0,
@@ -99,6 +101,7 @@
 Replaces: mysql-cluster-community-server (<< 8.0.1),
  mysql-cluster-commercial-server (<< 8.0.1),
  mysql-cluster-commercial-server-core,
+ mysql-common (<< 8.0.32),
  mysql-server-core-5.7,
  mysql-server-core-8.0
 Provides: virtual-mysql-server-core
@@ -285,4 +288,3 @@
  The MySQL(TM) software delivers a very fast, multi-threaded, multi-user,
  and robust SQL (Structured Query Language) database server. MySQL Server
  is intended for mission-critical, heavy-load production systems as well
- as for embedding into mass-deployed software. MySQL is a trademark of

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL - Debug" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL - Debug" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-9706785-1671242290.93/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \
@@ -75,7 +75,7 @@
 		-DCOMPILATION_COMMENT="MySQL Cluster Community - GPL" \
 		-DCOMPILATION_COMMENT_SERVER="MySQL Cluster Community Server - GPL" \
 		-DINSTALL_LAYOUT=DEB \
--DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-7666722-1657167937.33/master-export-1921728 \
+-DNDB_NODEJS_EXTRAS_PATH=/var/lib/pb2/sb_1-9706785-1671242290.93/master-export-1921728 \
 		-DREPRODUCIBLE_BUILD=OFF \
 		-DUSE_LD_LLD=OFF \
 		-DDEB_PRODUCT=cluster-community \

## mysql-cluster-community 8.0.33

=== storage/ndb/src/common/portlib/CMakeLists.txt ===
# Copyright (c) 2008, 2023, Oracle and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0,
# as published by the Free Software Foundation.
#
# This program is also distributed with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation.  The authors of MySQL hereby grant you an additional
# permission to link the program and your derivative works with the
# separately licensed software that they have included with MySQL.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA


INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR}/storage/ndb/include/ndbapi)

IF(WIN32)

# Bug#27303447 - WL#9809 declared function "signal_event()" in
# "nt_servc.cc" and defined the same in server library. But "nt_servc.cc"
# is a general file also used in cluster libraries. So, when building cluster,
# compiler gives linking error for cluster libraries as the definition for the
# symbol "signal_event()" is not found in cluster libraries. Untill the issue
# with "nt_servc.cc" gets fixed as a temporary solution have forked the old code
# of "nt_servc.cc" into "ndb_nt_servc.cc"

# SET(EXTRA_SRC ${CMAKE_SOURCE_DIR}/sql/nt_servc.cc)
  SET(EXTRA_SRC ndb_nt_servc.cc)
ENDIF(WIN32)

IF(WIN32)
  SET(EXTRA_SRC ${EXTRA_SRC} ndb_file_win32.cpp)
ELSE()
  SET(EXTRA_SRC ${EXTRA_SRC} ndb_file_posix.cpp)
ENDIF()

IF(CMAKE_CXX_FLAGS MATCHES " -DNDB_MUTEX_DEADLOCK_DETECTOR")
  SET(EXTRA_SRC ${EXTRA_SRC} NdbMutex_DeadlockDetector.cpp)
ENDIF()

ADD_CONVENIENCE_LIBRARY(ndbportlib
  NdbCondition.cpp
  NdbMutex.cpp
  NdbEnv.cpp
  NdbThread.cpp
  NdbHost.cpp
  NdbHW.cpp
  NdbTCP.cpp
  NdbMem.cpp
  NdbConfig.cpp
  NdbTick.cpp
  NdbDir.cpp
  ndb_daemon.cpp
  ndb_file_common.cpp
  ndb_password.cpp
  ndb_socket_poller.cpp
  ndb_socketpair.cpp
  ndb_stacktrace.cpp
  ${EXTRA_SRC}
  NdbNuma.cpp
  NdbGetRUsage.cpp
  NdbLockCpuUtil.cpp
  NdbSpin.cpp
  LINK_LIBRARIES mysys ${LIBSOCKET}
  )

IF(WIN32_CLANG)
  ADD_COMPILE_FLAGS(ndb_daemon.cpp COMPILE_FLAGS " -Wno-microsoft-cast")
ENDIF()

NDB_ADD_TEST(NdbHW-t NdbHW.cpp LIBS ndbmgmapi ndbgeneral ndbportlib)

NDB_ADD_TEST(NdbDir-t NdbDir.cpp LIBS ndbmgmapi ndbgeneral ndbportlib)

NDB_ADD_TEST(NdbGetInAddr-t NdbTCP.cpp LIBS ${LIBSOCKET} ${LIBNSL})

=== storage/ndb/src/kernel/vm/CMakeLists.txt ===
# Copyright (c) 2008, 2023, Oracle and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0,
# as published by the Free Software Foundation.
#
# This program is also distributed with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation.  The authors of MySQL hereby grant you an additional
# permission to link the program and your derivative works with the
# separately licensed software that they have included with MySQL.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA


INCLUDE_DIRECTORIES(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_SOURCE_DIR}/storage/ndb/src/kernel
  ${CMAKE_SOURCE_DIR}/storage/ndb/src/kernel/blocks
  ${CMAKE_SOURCE_DIR}/storage/ndb/src/kernel/error
  ${CMAKE_SOURCE_DIR}/storage/ndb/src/mgmapi)

ADD_LIBRARY(ndbkernel STATIC
  ArenaPool.cpp
  Configuration.cpp
  DynArr256.cpp
  Emulator.cpp
  GlobalData.cpp
  LockQueue.cpp
  Mutex.cpp
  Ndbinfo.cpp
  Pool.cpp
  Rope.cpp
  SafeCounter.cpp
  SafeMutex.cpp
  SectionReader.cpp
  SegmentList.cpp
  StaticSlotPool.cpp
  TransientPagePool.cpp
  TransientSlotPool.cpp
  VMSignal.cpp
  WatchDog.cpp
  mt_thr_config.cpp
  ndbd_malloc.cpp
  ndbd_malloc_impl.cpp
)
#    WOPool.cpp
#    RWPool.cpp

# 'sbrk' is deprecated [-Wdeprecated-declarations]
IF(APPLE)
  ADD_COMPILE_FLAGS(ndbd_malloc_impl.cpp COMPILE_FLAGS
    " -Wno-error=deprecated-declarations")
ENDIF()

ADD_LIBRARY(ndbsched STATIC
  FastScheduler.cpp
  LongSignal_nonmt.cpp
  SimplePropertiesSection_nonmt.cpp
  SimulatedBlock_nonmt.cpp
  ThreadConfig.cpp
  TimeQueue.cpp
  TransporterCallback_nonmt.cpp
  dummy_nonmt.cpp
)

IF(WITH_NDBMTD)
  ADD_LIBRARY(ndbsched_mt STATIC
    LongSignal_mt.cpp
    SimplePropertiesSection_mt.cpp
    SimulatedBlock_mt.cpp
    TransporterCallback_mt.cpp
    dummy_mt.cpp
    mt.cpp
    )
ENDIF()

ADD_LIBRARY(ndbtest STATIC
  test_context.cpp
  ../blocks/dbtup/tuppage.cpp
)

NDB_ADD_TEST(RefConvert-t RefConvert.cpp LIBS ndbgeneral ndbportlib)

# ${ALL_UNIT_TEST_LIBS} may be listed twice in the linker command due
# to inter-library dependencies
SET(ALL_UNIT_TEST_LIBS
  ndberror
  ndbgeneral
  ndbkernel
  ndbmgmapi
  ndbmgmcommon
  ndbportlib
  ndbsched
  ndbtest
  ndbtransport
  )

FOREACH(testprog
    CountingPool
    DynArr256
    IntrusiveList
    LHLevel
    Rope
    SegmentList
    TransientPagePool
    TransientSlotPool
    testDataBuffer
    testSimplePropertiesSection
    )
  NDB_ADD_TEST("${testprog}-t" "${testprog}.cpp"
    LIBS ${ALL_UNIT_TEST_LIBS} ${ALL_UNIT_TEST_LIBS})
ENDFOREACH(testprog)

NDB_ADD_EXECUTABLE(testCopy testCopy.cpp NDBCLIENT SKIP_INSTALL)

NDB_ADD_TEST(ndbd_malloc-t ndbd_malloc_impl.cpp LIBS ${ALL_UNIT_TEST_LIBS} ${ALL_UNIT_TEST_LIBS})

IF(WITH_NDBMTD)
  NDB_ADD_TEST(mt-send-t mt-send-t.cpp LIBS ${ALL_UNIT_TEST_LIBS})
ENDIF()
